Bug Hunting Session
Bug 34861 - After opening my document, all formulas are moved to the first page
Summary: After opening my document, all formulas are moved to the first page
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2011-03-01 02:12 UTC by Nicolò Chieffo
Modified: 2019-06-18 02:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
file with problems (582.83 KB, application/vnd.oasis.opendocument.text)
2011-03-01 02:12 UTC, Nicolò Chieffo
Details
Very simplified document showing the problem too (15.95 KB, application/vnd.oasis.opendocument.text)
2011-03-02 01:42 UTC, Cédric Bosdonnat
Details
Another problematic document (created with LibreOffice 3.5.2.2) (75.52 KB, application/vnd.oasis.opendocument.text)
2012-06-04 07:55 UTC, Michael Seifert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolò Chieffo 2011-03-01 02:12:59 UTC
Created attachment 43957 [details]
file with problems

I'm writing an article in which I need to insert math formulas.
I use the math editor provided in libreoffice and choose to anchor them as characters.

After reopening the document all formulas are moved to the first page.

I'm attaching the file which has this problems, saved with formulas in the correct position.
Comment 1 tester8 2011-03-01 11:12:59 UTC
Reproduced with
LibreOffice 3.3.1 RC2 (1:3.3.0-1lucid1) - Ubuntu 10.04 x86 Linux 2.6.32-28-generic Russian UI

After save as (no editing) and reopen first and third formula changes their places with each other.

Nicolò, what is exactly your OS?
Can you provide screenshot of incorrect rendering?
Comment 2 Nicolò Chieffo 2011-03-01 11:52:09 UTC
My OS is windows 7 32 bit (no service pack)
What screenshot do you need?

Did you try to open my file?
Does the formulas show on the first and following pages, or does the document begin with the correct "ALMA MATER STUDIORUM – UNIVERSITÀ DI BOLOGNA" front page?
Comment 3 Cédric Bosdonnat 2011-03-02 01:42:47 UTC
Created attachment 44009 [details]
Very simplified document showing the problem too

Taking it. It sounds like an odt import problem.
Comment 4 tester8 2011-03-02 08:35:16 UTC
With simplified document text is always (before and after save as) after the formula. If I move it to the place before formula, save and reopen then text appears after the formula.


>Did you try to open my file?
Yes, I did.

>Does the formulas show on the first and following pages, or does the document
begin with the correct "ALMA MATER STUDIORUM – UNIVERSITÀ DI BOLOGNA" front
page?
Formulae show on the first and following pages.
Comment 5 Nicolò Chieffo 2011-03-02 08:40:43 UTC
The problem is that the document should begin with "ALMA MATER STUDIORUM – UNIVERSITÀ DI BOLOGNA".

All the forumla objects have been automatically moved from their correct position to the first and following pages.
Comment 6 Michael Seifert 2012-06-04 07:55:23 UTC
Created attachment 62515 [details]
Another problematic document (created with LibreOffice 3.5.2.2)

I can confirm the issue using
LibreOffice 3.5.2.2 
Build-ID: 350m1(Build:202)
under Gentoo Linux 3.4.0 x86_64.

I attached a file showing the same symptoms: I wrote a text containing inline formulas. As soon as I save and reopen the file, all formulas are moved to the beginning of the file in reverse order (first formula last).
Comment 7 Eugenia Franzoni 2012-11-27 10:59:10 UTC
I can confirm this issue on both:

Version: 3.6.2.2 (Build ID: 360m1(Build:2))
OS: Ubuntu GNU/Linux 12.10

Version: 3.5.7.2 (Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b)
OS: Windows Seven Service Pack 1
Comment 8 QA Administrators 2015-04-01 14:40:52 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-04-22 14:18:16 UTC
Confirmed with attachments, but could not repro from scratch.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI
Comment 10 QA Administrators 2016-09-20 09:33:24 UTC Comment hidden (obsolete)
Comment 11 Roman Kuznetsov 2018-06-16 11:27:30 UTC
(In reply to Buovjaga from comment #9)
> Confirmed with attachments, but could not repro from scratch.
> 
> Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
> Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
> TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
> Locale: fi_FI

Confirmed with attachments, but could not repro from scratch also in 6.1 beta 1.

may be close this bug, because bug reporter silentes 2 years and we don't know how to make these files?
Comment 12 QA Administrators 2019-06-18 02:47:09 UTC
Dear Nicolò Chieffo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug